summaryrefslogtreecommitdiff
path: root/net-vpn
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-02 07:10:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-02 07:10:59 +0000
commitc0656c8d2536fafb7b43a5c83288b99f600ca54b (patch)
treeeaec9e8b3ef59931427d76ec6a95cab7a889b4a9 /net-vpn
parent0afa2e4c11accc0b2f071494ec4dc1f81b8d1a75 (diff)
downloadbaldeagleos-repo-c0656c8d2536fafb7b43a5c83288b99f600ca54b.tar.gz
baldeagleos-repo-c0656c8d2536fafb7b43a5c83288b99f600ca54b.tar.xz
baldeagleos-repo-c0656c8d2536fafb7b43a5c83288b99f600ca54b.zip
Adding metadata
Diffstat (limited to 'net-vpn')
-rw-r--r--net-vpn/amneziawg-modules/Manifest1
-rw-r--r--net-vpn/amneziawg-modules/amneziawg-modules-1.0.20260210.ebuild74
-rw-r--r--net-vpn/amneziawg-tools/Manifest1
-rw-r--r--net-vpn/amneziawg-tools/amneziawg-tools-1.0.20260223.ebuild88
-rw-r--r--net-vpn/mullvadvpn-app/Manifest2
-rw-r--r--net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild155
6 files changed, 321 insertions, 0 deletions
diff --git a/net-vpn/amneziawg-modules/Manifest b/net-vpn/amneziawg-modules/Manifest
index 835048d064d2..e28807919b05 100644
--- a/net-vpn/amneziawg-modules/Manifest
+++ b/net-vpn/amneziawg-modules/Manifest
@@ -1 +1,2 @@
DIST amneziawg-modules-1.0.20251009.tar.gz 406841 BLAKE2B ed7649619506d16f10e79e8ea13f24f7b22bd65c3cbbf66a19391ebc3b9fe3db744dee09ebf2b538bf1881c6b79084e16b5871d9b76a9673f45395d8291c0366 SHA512 1c807df0e54fa79f50c055229fe75a4289febd272c304528f5cfe57271aecfe2fb5a8c4480c82f527e1b0272bfae73e03b5b06119769e98d37bb4df65844f2ff
+DIST amneziawg-modules-1.0.20260210.tar.gz 407303 BLAKE2B 537d7cc3d811e2a3e81b3031c0e4abb22dec3db0f8d3a609f6eea83791306350fbf0a9c82e438fdb76b13f49eb7b8fa9355968653bfedc036150b7cfb40b74e3 SHA512 705fbbb13e5d2f456fb321942ecd404420c5e54c75fbd28b7fd34583c9d6b0ca3b63e3eb18ddbb49f34354ffa0c042745fe2a0c97946a4dab65b52ebc864d5b5
diff --git a/net-vpn/amneziawg-modules/amneziawg-modules-1.0.20260210.ebuild b/net-vpn/amneziawg-modules/amneziawg-modules-1.0.20260210.ebuild
new file mode 100644
index 000000000000..ffdb47f7d095
--- /dev/null
+++ b/net-vpn/amneziawg-modules/amneziawg-modules-1.0.20260210.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-mod-r1
+
+DESCRIPTION="AmneziaWG Linux kernel module"
+HOMEPAGE="https://github.com/amnezia-vpn/amneziawg-linux-kernel-module"
+SRC_URI="https://github.com/amnezia-vpn/amneziawg-linux-kernel-module/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/amneziawg-linux-kernel-module-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+
+CONFIG_CHECK="NET INET NET_UDP_TUNNEL CRYPTO_ALGAPI"
+
+pkg_setup() {
+ linux-mod-r1_pkg_setup
+
+ if kernel_is -lt 3 10 0; then
+ die "This version of ${PN} requires Linux >= 3.10."
+ fi
+
+ # https://github.com/amnezia-vpn/amneziawg-linux-kernel-module/issues/138
+ if kernel_is -ge 6 19 0; then
+ die "This version of ${PN} requires Linux < 6.19."
+ fi
+}
+
+src_compile() {
+ local modlist=( amneziawg=net:src::module )
+ local modargs=(
+ KERNELDIR=${KV_OUT_DIR}
+ )
+ use debug && modargs+=( CONFIG_AMNEZIAWG_DEBUG=y )
+ linux-mod-r1_src_compile
+}
+
+src_install() {
+ linux-mod-r1_src_install
+}
+
+pkg_postinst() {
+ linux-mod-r1_pkg_postinst
+ local old new
+ if [[ $(uname -r) != "${KV_FULL}" ]]; then
+ ewarn
+ ewarn "You have just built AmneziaWG for kernel ${KV_FULL}, yet the currently running"
+ ewarn "kernel is $(uname -r). If you intend to use this AmneziaWG module on the currently"
+ ewarn "running machine, you will first need to reboot it into the kernel ${KV_FULL}, for"
+ ewarn "which this module was built."
+ ewarn
+ elif [[ -f /sys/module/amneziawg/version ]] && \
+ old="$(</sys/module/amneziawg/version)" && \
+ new="$(modinfo -F version "${ROOT}/lib/modules/${KV_FULL}/net/amneziawg.ko" 2>/dev/null)" && \
+ [[ $old != "$new" ]]; then
+ ewarn
+ ewarn "You appear to have just upgraded AmneziaWG from version v$old to v$new."
+ ewarn "However, the old version is still running on your system. In order to use the"
+ ewarn "new version, you will need to remove the old module and load the new one. As"
+ ewarn "root, you can accomplish this with the following commands:"
+ ewarn
+ ewarn " # rmmod amneziawg"
+ ewarn " # modprobe amneziawg"
+ ewarn
+ ewarn "Do note that doing this will remove current AmneziaWG interfaces, so you may want"
+ ewarn "to gracefully remove them yourself prior."
+ ewarn
+ fi
+}
diff --git a/net-vpn/amneziawg-tools/Manifest b/net-vpn/amneziawg-tools/Manifest
index 2d01fa9e695e..5f725f08b5ef 100644
--- a/net-vpn/amneziawg-tools/Manifest
+++ b/net-vpn/amneziawg-tools/Manifest
@@ -1 +1,2 @@
DIST amneziawg-tools-1.0.20250903.tar.gz 160214 BLAKE2B ec32969cf32b0c75179a3c53702997963c176e61958d4cc166706d8439ae736e191be488e7dc93e3c2f9d8657e67deee674359b15e19ca473ddfc19f5fe3767d SHA512 a69f3911b18cd5abb73ba1f695802c87205ed6be10be035a5d06ca266c5de3c0b88c0aeac7670bc302112288f1b58937608e7b2835a22d2b4fc45a8f63b218ad
+DIST amneziawg-tools-1.0.20260223.tar.gz 160261 BLAKE2B 33277e23dfd7b498e845329a853495ecfe4ca00faf1f9d5aa2288e302d0d03363df418082f32c727ce83b67ece8dccd91c252964e67c42a6646d7cea1d489227 SHA512 591afaef659e26be16c8d883da8d8ff026f855f60c9887440b566ef18b9948ca57754673d833f27e77d8c05f7e354f37b49adc9f5467334eeb7eda7165960c54
diff --git a/net-vpn/amneziawg-tools/amneziawg-tools-1.0.20260223.ebuild b/net-vpn/amneziawg-tools/amneziawg-tools-1.0.20260223.ebuild
new file mode 100644
index 000000000000..d56be730d3c5
--- /dev/null
+++ b/net-vpn/amneziawg-tools/amneziawg-tools-1.0.20260223.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info bash-completion-r1 systemd toolchain-funcs
+
+DESCRIPTION="Required tools for AmneziaWG, such as awg(8) and awg-quick(8)"
+HOMEPAGE="https://github.com/amnezia-vpn/amneziawg-tools"
+SRC_URI="https://github.com/amnezia-vpn/amneziawg-tools/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+awg-quick selinux"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="${DEPEND}
+ awg-quick? (
+ || ( net-firewall/nftables net-firewall/iptables )
+ virtual/resolvconf
+ )
+ selinux? ( sec-policy/selinux-wireguard )
+"
+
+awg_quick_optional_config_nob() {
+ CONFIG_CHECK="$CONFIG_CHECK ~$1"
+ declare -g ERROR_$1="CONFIG_$1: This option is required for automatic routing of default routes inside of awg-quick(8), though it is not required for general AmneziaWG usage."
+}
+
+pkg_setup() {
+ if use awg-quick; then
+ awg_quick_optional_config_nob IP_ADVANCED_ROUTER
+ awg_quick_optional_config_nob IP_MULTIPLE_TABLES
+ awg_quick_optional_config_nob IPV6_MULTIPLE_TABLES
+ if has_version net-firewall/nftables; then
+ awg_quick_optional_config_nob NF_TABLES
+ awg_quick_optional_config_nob NF_TABLES_IPV4
+ awg_quick_optional_config_nob NF_TABLES_IPV6
+ awg_quick_optional_config_nob NFT_CT
+ awg_quick_optional_config_nob NFT_FIB
+ awg_quick_optional_config_nob NFT_FIB_IPV4
+ awg_quick_optional_config_nob NFT_FIB_IPV6
+ awg_quick_optional_config_nob NF_CONNTRACK_MARK
+ elif has_version net-firewall/iptables; then
+ awg_quick_optional_config_nob NETFILTER_XTABLES
+ awg_quick_optional_config_nob NETFILTER_XT_MARK
+ awg_quick_optional_config_nob NETFILTER_XT_CONNMARK
+ awg_quick_optional_config_nob NETFILTER_XT_MATCH_COMMENT
+ awg_quick_optional_config_nob NETFILTER_XT_MATCH_ADDRTYPE
+ awg_quick_optional_config_nob IP6_NF_RAW
+ awg_quick_optional_config_nob IP_NF_RAW
+ awg_quick_optional_config_nob IP6_NF_FILTER
+ awg_quick_optional_config_nob IP_NF_FILTER
+ fi
+ fi
+ get_version
+ if ! has_version net-vpn/amneziawg-modules; then
+ ewarn
+ ewarn "Linux kernel does not have upstream support for AmneziaWG."
+ ewarn "However, the net-vpn/amneziawg-modules ebuild"
+ ewarn "contains a module that should work for your kernel."
+ ewarn "It is highly recommended to install it:"
+ ewarn
+ ewarn " emerge -av net-vpn/amneziawg-modules"
+ ewarn
+ fi
+ linux-info_pkg_setup
+}
+
+src_compile() {
+ emake RUNSTATEDIR="${EPREFIX}/run" -C src CC="$(tc-getCC)" LD="$(tc-getLD)"
+}
+
+src_install() {
+ dodoc README.md
+ dodoc -r contrib
+ emake \
+ WITH_BASHCOMPLETION=yes \
+ WITH_SYSTEMDUNITS=yes \
+ WITH_WGQUICK=$(usex awg-quick) \
+ DESTDIR="${D}" \
+ BASHCOMPDIR="$(get_bashcompdir)" \
+ SYSTEMDUNITDIR="$(systemd_get_systemunitdir)" \
+ PREFIX="${EPREFIX}/usr" \
+ -C src install
+ use awg-quick && newinitd "${FILESDIR}/awg-quick.init" awg-quick
+}
diff --git a/net-vpn/mullvadvpn-app/Manifest b/net-vpn/mullvadvpn-app/Manifest
index 71ec943d6b61..c56163d55bb6 100644
--- a/net-vpn/mullvadvpn-app/Manifest
+++ b/net-vpn/mullvadvpn-app/Manifest
@@ -1,2 +1,4 @@
DIST MullvadVPN-2025.14_aarch64.rpm 89062049 BLAKE2B 34102379a7ae4526b5b0e48fd2e7efe3cb9e791ccfce8dc18e677b657ce5e26dadae4335c0430aad32a122aebac5b6be1b5435136f8287762a744adb5e386af3 SHA512 186b050b48675d82693da72cbad149c501b8fa66b721daf6236ca41b84d1ab63b0e7ba94c0a43616f9b1851c10bd9c7a63a5ea73b6a1840478fbf4d38ab1c7c4
DIST MullvadVPN-2025.14_x86_64.rpm 95157225 BLAKE2B 277ad993c19db4813a829e2ac4de66019736f331022ee0d5b8db5fe6d3ecde42c0e251161321201c2986df700915907825309153f5e0703b6e38f4e085110f11 SHA512 0dc3ccec3aa4e20a8fc2322d585f0a73c7355707f2c1372b44b9ac011d11523b967cf14825f883cf9d8d901ad1a1b2731349230ebb877b848ef5303df15f5192
+DIST MullvadVPN-2026.1-beta1_aarch64.rpm 86852185 BLAKE2B 855b227779f3a67d6acfdd477df4af212d605b71d4b8110bcb1d85da147e880065d0338f76cc851e3eebd3ade409a4a30287630da9eda1aeb9d40dcf91c429eb SHA512 0b1312a35ecfe9670e04b241ca16bf56577b3b5a6caacb11eacbd44606ec0e6defe09e445172f9022399d906b431c296b4e93002a1022d36b3f5045b53af0589
+DIST MullvadVPN-2026.1-beta1_x86_64.rpm 92646577 BLAKE2B fff32b4ecff16568858bb3a58a08dbb8921bb195f1b086367fc9093d87c6e97a19a4258ab3cda979f3507d92e777d4bb24dcb67ec98afb3e1555a05fbcb4f6aa SHA512 271955b28ce10736291300afa187eae196f4b779eb7fd39df90007ec56b5f6e4b6e574438cc3e2ebc4cb367889a71571891870b72c3fc9c239e7e8d8794d88eb
diff --git a/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild b/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild
new file mode 100644
index 000000000000..c14365654ee5
--- /dev/null
+++ b/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop rpm systemd shell-completion xdg
+
+MYPV="${PV/_beta/-beta}"
+DESCRIPTION="Tool used to manage daemon setup"
+HOMEPAGE="https://github.com/mullvad/mullvadvpn-app https://mullvad.net/"
+SRC_URI="
+ amd64? ( https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_x86_64.rpm )
+ arm64? ( https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_aarch64.rpm )
+"
+
+S="${WORKDIR}"
+LICENSE="GPL-3"
+SLOT="0"
+
+# Betas are kept unkeyworded; users can opt in to testing by accepting '**' instead of '~amd64'/
+# '~arm64' keywords.
+#
+# See https://bugs.gentoo.org/966989
+if [[ "${PV}" != *_beta* ]]; then
+ KEYWORDS="-* ~amd64 ~arm64"
+fi
+
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+ app-accessibility/at-spi2-core:2
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/mesa
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gtk+:3
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon
+ x11-libs/libXrandr
+ x11-libs/pango
+ || (
+ net-firewall/nftables
+ net-firewall/iptables[nftables]
+ )
+"
+
+QA_PREBUILT="*"
+
+src_install() {
+ sed -i "s|SCRIPT_DIR=.*|SCRIPT_DIR=\"/opt/Mullvad VPN/\"|g" "${S}/opt/Mullvad VPN/mullvad-vpn" || die
+
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR opt "${D}"/ || die "Failed to copy files"
+ fperms +x "/opt/Mullvad VPN/chrome_crashpad_handler"
+ fperms 4755 "/opt/Mullvad VPN/chrome-sandbox"
+
+ dobin ./usr/bin/mullvad
+ dobin ./usr/bin/mullvad-daemon
+ dobin ./usr/bin/mullvad-exclude
+ dosym -r "/opt/Mullvad VPN/mullvad-vpn" /usr/bin/mullvad-vpn
+ dosym -r "/opt/Mullvad VPN/resources/mullvad-problem-report" /usr/bin/mullvad-problem-report
+
+ # mullvad-exclude uses cgroups to manage exclusions, which requires root permissions, but is
+ # also most often used to exclude graphical applications which can't or shouldn't run as root
+ # (i.e., can't be run under `sudo/doas /usr/bin/mullvad-exclude ...`, because `sudo`/`doas`
+ # change user). The setuid bit allows any user to exclude executables under their own UID.
+ fperms 4755 /usr/bin/mullvad-exclude
+
+ newinitd "${FILESDIR}"/mullvad-daemon.initd mullvad-daemon
+
+ systemd_newunit ./usr/lib/systemd/system/mullvad-daemon.service mullvad-daemon.service
+ systemd_newunit ./usr/lib/systemd/system/mullvad-early-boot-blocking.service mullvad-early-boot-blocking.service
+
+ newbashcomp ./usr/share/bash-completion/completions/mullvad mullvad
+ newfishcomp ./usr/share/fish/vendor_completions.d/mullvad.fish mullvad
+ newzshcomp ./usr/share/zsh/site-functions/_mullvad _mullvad
+
+ domenu ./usr/share/applications/mullvad-vpn.desktop
+ local x
+ for x in 16 32 48 64 128 256 512 1024; do
+ doicon -s "${x}" "./usr/share/icons/hicolor/${x}x${x}/apps/mullvad-vpn.png"
+ done
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+
+ if [[ -z ${REPLACED_BY_VERSION} ]]; then
+ if ! command -v pgrep &>/dev/null || pgrep -f "mullvad-(daemon|gui)"; then
+ elog "Mullvad has been uninstalled. To stop the service,"
+ elog "1. Quit the Mullvad app"
+ elog " * Manually: 'Disconnect & quit' from the Mullvad menu"
+ elog " OR"
+ elog " * Command line: pkill -f mullvad-gui"
+ elog "2. Stop the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon stop"
+ elog " OR"
+ elog " * systemd: systemctl stop mullvad-daemon"
+ elog " OR"
+ elog " * other: pkill -f mullvad-daemon"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ if command -v pgrep &>/dev/null && pgrep -f "mullvad-(daemon|gui)" &>/dev/null; then
+ elog "Mullvad has been updated. To restart the service,"
+ elog "1. Restart the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon restart"
+ elog " OR"
+ elog " * systemd: systemctl restart mullvad-daemon"
+ elog "2. Restart the app"
+ elog " * Manually: 'Disconnect & quit' from the Mullvad menu and relaunch using"
+ elog " your preferred desktop launcher"
+ elog " OR"
+ elog " * Command line: pkill -f mullvad-gui && '/opt/Mullvad VPN/mullvad-vpn' & disown"
+ else
+ elog "Mullvad has been updated. To start the service,"
+ elog "1. Start the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon start"
+ elog " OR"
+ elog " * systemd: systemctl start mullvad-daemon"
+ elog "2. Launch the app"
+ elog " * Manually: use your preferred desktop launcher"
+ elog " OR"
+ elog " * Command line: '/opt/Mullvad VPN/mullvad-vpn' & disown"
+ fi
+ else
+ elog "Mullvad has been installed. To start the service,"
+ elog "1. Enable and start the daemon"
+ elog " * OpenRC: rc-update add mullvad-daemon default"
+ elog " rc-service mullvad-daemon start"
+ elog " OR"
+ elog " * systemd: systemctl enable mullvad-daemon"
+ elog " systemctl start mullvad-daemon"
+ elog "2. Launch the app"
+ elog " * Manually: use your preferred desktop launcher"
+ elog " OR"
+ elog " * Command line: '/opt/Mullvad VPN/mullvad-vpn' & disown"
+ fi
+}